October 9th, 2016

版本:v1.1
更新时间:2016-05-25
更新内容:优化性能
功能说明:
可以有效防护XSS,sql注射,代码执行,文件包含等多种高危漏洞。
使用方法:

将waf.php传到要包含的文件的目录
在页面中加入防护,有两种做法,根据情况二选一即可:
a).在所需要防护的页面加入代码就可以做到页面防注入、跨站
复制代码
require_once(‘waf.php’);
如果想整站防注,就在网站的一个公用文件中,如数据库链接文件config.inc.php,来调用本代码。常用php系统添加文件
引用
PHPCMS V9 \phpcms\base.php
PHPWIND8.7 \data\sql_config.php
DEDECMS5.7 \data\common.inc.php
DiscuzX2   \config\config_global.php
Wordpress   \wp-config.php
Metinfo   \include\head.php

b).在每个文件最前加上代码具体做法是:在php.ini中找到 auto_prepent_file并修改为:
复制代码
Automatically add files before or after any PHP document;
auto_prepend_file = waf.php路径;

php代码补丁下载链接:

php_patch

Leave a Reply

Your email address will not be published. Required fields are marked *

*